Package org.jfree.layouting.renderer.process.valign

## Class NodeAlignContext

- java.lang.Object
- - org.jfree.layouting.renderer.process.valign.AlignContext
  - - org.jfree.layouting.renderer.process.valign.NodeAlignContext

-     public class NodeAlignContext
      extends AlignContext

  A generic align context for images and other nodes. (Renderable-Content should have been aligned by the parent.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NodeAlignContext​(RenderNode node)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getAfterEdge​()` |
    `long` | `getBaselineDistance​(int baseline)` |
    `long` | `getBeforeEdge​()` |
    `void` | `shift​(long delta)` |

    - ### Methods inherited from class org.jfree.layouting.renderer.process.valign.AlignContext

      `getDominantBaseline, getNext, getNode, setDominantBaseline, setNext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeAlignContext

          public NodeAlignContext​(RenderNode node)

  - ### Method Detail

    - #### getBaselineDistance

          public long getBaselineDistance​(int baseline)

      Specified by:
        `getBaselineDistance` in class `AlignContext`

    - #### shift

          public void shift​(long delta)

      Specified by:
        `shift` in class `AlignContext`

    - #### getAfterEdge

          public long getAfterEdge​()

      Specified by:
        `getAfterEdge` in class `AlignContext`

    - #### getBeforeEdge

          public long getBeforeEdge​()

      Specified by:
        `getBeforeEdge` in class `AlignContext`